# $Revision: 1.79 $, $Date: 2011/08/31 18:31:51 $
Summary:	Lynx-style info browser
Summary(es.UTF-8):	Visualizador de páginas info y man
Summary(pl.UTF-8):	Przeglądarka info w stylu lynksa
Summary(pt_BR.UTF-8):	Visualizador de páginas info e man
Summary(ru.UTF-8):	Программа просмотра info- и man-документов в стиле lynx
Summary(uk.UTF-8):	Програма перегляду info- та man-документів у стилі lynx
Name:		pinfo
Version:	0.6.9
Release:	8
License:	GPL v2
Group:		Applications/System
Source0:	https://alioth.debian.org/download.php/1498/%{name}-%{version}.tar.bz2
# Source0-md5:	e0c788467945f5f97fbacad55863e5b8
Source1:	%{name}.sh
Source2:	%{name}.csh
Patch0:		%{name}-amfix.patch
Patch1:		%{name}-home_etc.patch
Patch2:		%{name}-pl.po-update.patch
Patch3:		%{name}-info.patch
Patch4:		%{name}-ncurses.patch
Patch5:		%{name}-color.patch
URL:		http://pinfo.alioth.debian.org/
BuildRequires:	autoconf >= 2.57
BuildRequires:	automake
BuildRequires:	gettext-devel
BuildRequires:	libtool
BuildRequires:	ncurses-devel >= 5.0
BuildRequires:	readline-devel >= 4.0
BuildRequires:	texinfo
Requires:	man-config
Requires:	setup >= 2.4.6-2
Suggests:	man
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Pinfo is a curses based lynx-style info browser.

%description -l es.UTF-8
Visualizador de páginas info y man.

%description -l pl.UTF-8
Pinfo jest przeglądarką dokumentów info podobną do lynksa.

%description -l pt_BR.UTF-8
Visualizador hipertexto de arquivos info e páginas de manual, com
interface semelhante ao lynx. Suporta pesquisa de expressões
regulares.

%description -l ru.UTF-8
Pinfo - это программа просмотра info-файлов и man-страниц. Ее
интерфейс пользователя похож на интерфейс Lynx. Поддерживается поиск
по регулярным выражениям.

%description -l uk.UTF-8
Pinfo - це програма перегляду info-файлів та man-сторінок. Її
інтерфейс подібний до інтерфейсу Lynx. Підтримується пошук по
регулярним виразам.

%prep
%setup -q
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1
%patch5 -p1

rm -f doc/pinfo.info po/stamp-po

%build
CPPFLAGS="-I%{_includedir}/ncursesw"
%{__gettextize}
%{__libtoolize}
%{__aclocal} -I macros
%{__autoconf}
%{__automake}
%configure

%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT/etc/shrc.d

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

install %{SOURCE1} $RPM_BUILD_ROOT/etc/shrc.d/%{name}.sh
install %{SOURCE2} $RPM_BUILD_ROOT/etc/shrc.d/%{name}.csh

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p	/sbin/postshell
-/usr/sbin/fix-info-dir -c %{_infodir}

%postun	-p	/sbin/postshell
-/usr/sbin/fix-info-dir -c %{_infodir}

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc ChangeLog NEWS AUTHORS README
%attr(755,root,root) %{_bindir}/pinfo
/etc/shrc.d/*
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/pinforc
%{_mandir}/man1/*
%{_infodir}/pinfo*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: pinfo.spec,v $
Revision 1.79  2011/08/31 18:31:51  arekm
- release 8

Revision 1.78  2011/01/29 00:07:10  sparky
- dropped pre-cvs changelog

Revision 1.77  2009/11/10 08:48:50  arekm
- rel 7; link with wide ncurses and tinfo

Revision 1.76  2009/02/23 22:07:52  arekm
- release 6

Revision 1.75  2009/02/19 20:12:33  witekfl
- added the color.patch with support for 256 colors eg. color234 in .pinforc
- rel 5

Revision 1.74  2009/02/18 20:15:28  arekm
- rel 4

Revision 1.73  2009/02/18 20:10:41  arekm
- release 3

Revision 1.72  2008/06/09 17:51:02  adamg
- Suggests: man

Revision 1.71  2008-01-24 01:36:34  glen
- invoke fix-info-dir via /sbin/postshell where possible to avoid extra /bin/sh dep

Revision 1.70  2007-02-27 23:23:16  qrczak
- pinfo-ncurses.patch: fixed linking ncurses with --as-needed
- Release 2

Revision 1.69  2007/02/13 08:06:40  glen
- tabs in preamble

Revision 1.68  2007/02/12 01:06:26  baggins
- converted to UTF-8

Revision 1.67  2006/03/19 19:53:19  qboosh
- added pl.po-update patch, restored and updated info patch

Revision 1.66  2006/03/19 17:59:26  qboosh
- needs readline >= 4.0

Revision 1.65  2006/03/18 18:24:54  arekm
- up to 0.6.9

Revision 1.64  2006/03/18 12:51:25  wolf
- mention new version

Revision 1.63  2005/12/04 23:10:18  glen
- adapterized (sorted %verify flags)

Revision 1.62  2004/10/24 20:26:29  paladine
- spelling fixes, uppercases, etc.

Revision 1.61  2004/10/12 11:54:54  qboosh
- force info regeneration, release 5

Revision 1.60  2004/09/25 03:24:20  roman
- added a patch which removes a sig11 crash
- STBR

Revision 1.59  2004/04/29 08:57:57  adgor
- No 755 for /etc/shrc.d/*

Revision 1.58  2004/04/28 13:22:38  ankry
- fixed changelog

Revision 1.57  2004/04/28 13:20:55  ankry
- spaces -> tabs

Revision 1.56  2004/04/28 11:53:20  havner
- R: setup >= 2.4.6-2
- pinfo.sh,pinfo.csh -> /etc/shrc.d
- rel up

Revision 1.55  2003/10/16 05:56:16  witekfl
- added home_etc.patch with support for $HOME_ETC
- Release 2 STBR

Revision 1.54  2003/10/07 22:29:24  qboosh
- 0.6.8, updated po patch, added mkstemp security patch from RH

Revision 1.53  2003/10/07 16:44:33  qboosh
- updated Source0 URL, added URL (maybe will contain sth someday...)

Revision 1.52  2003/09/08 13:14:45  ankry
- fixed .po file headers (-po patch)

Revision 1.51  2003/09/07 23:12:02  ankry
- md5

Revision 1.50  2003/09/02 15:23:45  qboosh
- removed default _sysconfdir definition, other cosmetics

Revision 1.49  2003/05/25 11:00:57  malekith
- massive attack, adding Source-md5

Revision 1.48  2003/05/25 06:25:31  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.47  2003/02/14 09:47:21  trojan
- updated to 0.6.7

Revision 1.46  2002/12/07 23:49:19  ankry
- fix improper usage of %%{_sysconfdir}

Revision 1.45  2002/10/09 13:14:44  kloczek
- use more macros, some cosmetics, added missing "rm -f missing" and use new %doc

Revision 1.44  2002/07/27 21:29:53  kloczek
- release 2: remove from %files %%{_infodir}/dir*.

Revision 1.43  2002/07/27 16:13:38  kloczek
- merge translations from KSI.

Revision 1.42  2002/07/26 21:14:54  qboosh
- updated to 0.6.6p1 (bugfixes)
- new %%doc, added info file and info patch

Revision 1.41  2002/05/21 23:14:24  kloczek
perl -pi -e "s/^automake -a -c -f --foreing/\%\{__automake\}/; \
             s/^automake -a -c -f/\%\{__automake\}/; \
	     s/^autoconf/\%\{__autoconf\}/"

Revision 1.40  2002/03/20 23:56:07  kloczek
- reelase 2.

Revision 1.39  2002/03/12 16:01:18  orzech
- man: man-config subpackage, Req: man-config
- pinfo: Req: man-config
- XFree86: Req: man-config (for xman)

Revision 1.38  2002/03/12 13:00:42  orzech
- added /etc/profile.d/pinfo.{sh,csh}

Revision 1.37  2002/02/23 04:17:27  kloczek
- adapterized.

Revision 1.36  2002/02/22 23:29:35  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.35  2002/02/11 23:15:56  kloczek
- updated to 0.6.5.

Revision 1.34  2002/02/08 22:17:55  filon
- added -f flag for automake (for freshen config.* files)

Revision 1.33  2002/01/18 02:14:36  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.32  2001/12/16 02:42:59  kloczek
- updated to 0.6.4 (new apropos handler and bug fixes).

Revision 1.31  2001/10/20 13:14:09  qboosh
- release 2: amfix for automake 1.5

Revision 1.30  2001/08/30 05:04:42  kloczek
- merge translations from CNV.

Revision 1.29  2001/07/20 05:38:37  kloczek
- updated to 0.6.3.

Revision 1.28  2001/07/16 02:26:14  kloczek
- updated to 0.6.2,
- removed regenerate gettext files (isn't now neccessary),
- added regenerate ac/am files for make spec ac 2.50 ready.

Revision 1.27  2000/10/12 03:41:00  kloczek
- updated to 0.6.1,
- use rpm new automation.

Revision 1.26  2000/07/22 06:49:00  kloczek
- workaround for bug in src/Makefile.am (fixed in pinfo cvs module).

Revision 1.25  2000/07/22 06:32:09  kloczek
- updated to 0.6.0.

Revision 1.24  2000/07/13 23:19:30  baggins
- release 4
- rebuild with ncurses 5.1

Revision 1.23  2000/06/09 07:23:46  kloczek
- added using %%{__make} macro.

Revision 1.22  2000/05/20 19:38:37  kloczek
- release 3,
- fix: added getetextize --copy --force on top %build for correctly install
  .po files,
- added "BuildRequires: gettext-devel".

Revision 1.21  2000/04/01 11:15:35  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.20  2000/03/28 16:55:03  baggins
- translated kloczkish into english

Revision 1.19  1999/11/16 16:59:33  kloczek
- release 2,
- build agains ncurses 5.0.

Revision 1.18  1999/11/02 00:43:53  kloczek
- updated to 0.5.9.

Revision 1.17  1999/09/21 03:08:44  kloczek
- updated to 0.5.8.

Revision 1.16  1999/09/13 15:48:37  kloczek
- fixed version.

Revision 1.15  1999/09/13 15:42:11  kloczek
- updated to 0.5.7.

Revision 1.14  1999/08/22 15:13:46  kloczek
- updated to 0.5.6,
- added using more rpm macros,
- updated Source url.

Revision 1.13  1999/07/12 23:06:12  kloczek
- added using CVS keywords in %changelog (for automating them).
